## org.apache.fop.svg
Class Animate

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.svg.SVGObj
                        |
                        +--org.apache.fop.svg.Animate

public class Animate
extends SVGObj

class representing svg:Animate pseudo flow object.

Inner Class Summary
`static class` `Animate.Maker` inner class for making Animate objects.

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `Animate(FObj parent, PropertyList propertyList)` constructs a Animate object (called by Maker).

Method Summary
`static FObj.Maker` `maker()` returns the maker for this object.

Methods inherited from class org.apache.fop.svg.SVGObj
`createGraphic, layout`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Animate

    protected Animate(FObj parent,
                      PropertyList propertyList)

  constructs a Animate object (called by Maker).
  Parameters:
    `parent` - the parent formatting object
    `propertyList` - the explicit properties of this object

Method Detail

### maker

    public static FObj.Maker maker()

  returns the maker for this object.
  Returns:
    the maker for Animate objects

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.